;InnoSetupVersion=5.0.4

[Setup]
AppName=UniDream PowerBatch
AppVerName=UniDream PowerBatch
AppId=UniDream PowerBatch
AppVersion=UniDream PowerBatch
AppPublisher=UniDream Marketing Technologies Inc.
AppPublisherURL=http://www.photowatermark.com
AppSupportURL=http://www.photowatermark.com
AppUpdatesURL=http://www.photowatermark.com
DefaultDirName={pf}\UniDream PowerBatch
DefaultGroupName=UniDream PowerBatch
UninstallDisplayName=UniDream PowerBatch
OutputBaseFilename=pb_setup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\powerbatch.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\watermark.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UnidreamLED.ttf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\frames\birthday.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\frames\gold.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\frames\heart.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\frames\night.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\frames\purple.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\frames\yellow.png"; DestDir: "{app}\frames"; Flags: ignoreversion 
Source: "{app}\Library\angle_3d.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\emboss.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\engrave.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\gradient.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\gradient_outline.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\gradient_symbol_3d.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\innershadow3d.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\innershadow_texture.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\outline.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{app}\Library\outline_shadow.wmk"; DestDir: "{app}\Library"; Flags: ignoreversion 
Source: "{tmp}\psvince.dll"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 

[INI]
FileName: "{app}\PowerBatch.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.unidreamtech.com"; Flags: uninsdeleteentry 

[Run]
Filename: "{app}\powerbatch.exe"; Description: "{cm:LaunchProgram,UniDream PowerBatch}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\UniDream PowerBatch"; Filename: "{app}\powerbatch.exe"; Tasks: desktopicon; 
Name: "{group}\UniDream PowerBatch"; Filename: "{app}\powerbatch.exe"; 
Name: "{group}\{cm:ProgramOnTheWeb,UniDream PowerBatch}"; Filename: "{app}\PowerBatch.url"; 
Name: "{group}\{cm:UninstallProgram,UniDream PowerBatch}"; Filename: "{uninstallexe}"; 
Name: "{commondesktop}\UniDream PowerBatch"; Filename: "{app}\powerbatch.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Photo Watermark Professional"; Filename: "{app}\powerbatch.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[InstallDelete]
Type: files; Name: "{app}\PowerBatch.ini"; 

[UninstallDelete]
Type: files; Name: "{app}\PowerBatch.url"; 
Type: files; Name: "{app}\powerbatch.ini"; 
Type: filesandordirs; Name: "{app}\Languages"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
